0

Updating through the webGUI or ssh console results in Operation timed out. I've checked and computers behind pfsense have normal internet connectivity.

When updating through the ssh console:

$$$ pfSense-upgrade -d -y
>>> Updating repositories metadata...
Updating pfSense-core repository catalogue...
pfSense-core repository is up to date.
Updating pfSense repository catalogue...
pfSense repository is up to date.
All repositories are up to date.
>>> Removing vital flag from lang/php72...
>>> Downloading upgrade packages...
Updating pfSense-core repository catalogue...
pfSense-core repository is up to date.
Updating pfSense repository catalogue...
pfSense repository is up to date.
All repositories are up to date.
Checking for upgrades (16 candidates): .......... done
Processing candidates (16 candidates): .......... done
The following 17 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        ccache: 3.4.2 [pfSense]

Installed packages to be UPGRADED:
        unbound: 1.7.3 -> 1.8.1 [pfSense]
        strongswan: 5.6.3 -> 5.7.1 [pfSense]
        php72-pfSense-module: 0.64_6 -> 0.65 [pfSense]
        pfSense-rc: 2.4.4 -> 2.4.4_2 [pfSense-core]
        pfSense-pkg-openvpn-client-export: 1.4.17_2 -> 1.4.18_3 [pfSense]
        pfSense-kernel-pfSense: 2.4.4 -> 2.4.4_2 [pfSense-core]
        pfSense-default-config: 2.4.4 -> 2.4.4_2 [pfSense-core]
        pfSense-base: 2.4.4 -> 2.4.4_2 [pfSense-core]
        pfSense-Status_Monitoring: 1.7.6 -> 1.7.7 [pfSense]
        pfSense: 2.4.4 -> 2.4.4_2 [pfSense]
        openvpn-client-export: 2.4.6 -> 2.4.7 [pfSense]
        nginx: 1.14.0_6,2 -> 1.14.1,2 [pfSense]
        libzmq4: 4.2.3 -> 4.3.1 [pfSense]
        filterdns: 1.0_16 -> 2.0_1 [pfSense]
        curl: 7.61.1_1 -> 7.64.0 [pfSense]

Installed packages to be REINSTALLED:
        scponly-4.8.20110526_2 [pfSense] (direct dependency added: ccache)

Number of packages to be installed: 1
Number of packages to be upgraded: 15
Number of packages to be reinstalled: 1

64 MiB to be downloaded.
[1/11] Fetching pfSense-kernel-pfSense-2.4.4_2.txz: . done
pkg-static: https://pkg.pfsense.org/pfSense_v2_4_4_amd64-core/All/pfSense-kernel-pfSense-2.4.4_2.txz: Operation timed out

Similarly through the webGUI:

>>> Updating repositories metadata... 
Updating pfSense-core repository catalogue...
pfSense-core repository is up to date.
Updating pfSense repository catalogue...
pfSense repository is up to date.
All repositories are up to date.
>>> Removing vital flag from lang/php72... done.
>>> Downloading upgrade packages... 
Updating pfSense-core repository catalogue...
pfSense-core repository is up to date.
Updating pfSense repository catalogue...
pfSense repository is up to date.
All repositories are up to date.
Checking for upgrades (16 candidates): .......... done
Processing candidates (16 candidates): .......... done
The following 17 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
    ccache: 3.4.2 [pfSense]

Installed packages to be UPGRADED:
    unbound: 1.7.3 -> 1.8.1 [pfSense]
    strongswan: 5.6.3 -> 5.7.1 [pfSense]
    php72-pfSense-module: 0.64_6 -> 0.65 [pfSense]
    pfSense-rc: 2.4.4 -> 2.4.4_2 [pfSense-core]
    pfSense-pkg-openvpn-client-export: 1.4.17_2 -> 1.4.18_3 [pfSense]
    pfSense-kernel-pfSense: 2.4.4 -> 2.4.4_2 [pfSense-core]
    pfSense-default-config: 2.4.4 -> 2.4.4_2 [pfSense-core]
    pfSense-base: 2.4.4 -> 2.4.4_2 [pfSense-core]
    pfSense-Status_Monitoring: 1.7.6 -> 1.7.7 [pfSense]
    pfSense: 2.4.4 -> 2.4.4_2 [pfSense]
    openvpn-client-export: 2.4.6 -> 2.4.7 [pfSense]
    nginx: 1.14.0_6,2 -> 1.14.1,2 [pfSense]
    libzmq4: 4.2.3 -> 4.3.1 [pfSense]
    filterdns: 1.0_16 -> 2.0_1 [pfSense]
    curl: 7.61.1_1 -> 7.64.0 [pfSense]

Installed packages to be REINSTALLED:
    scponly-4.8.20110526_2 [pfSense] (direct dependency added: ccache)

Number of packages to be installed: 1
Number of packages to be upgraded: 15
Number of packages to be reinstalled: 1

64 MiB to be downloaded.
[1/11] Fetching pfSense-kernel-pfSense-2.4.4_2.txz: . done
pkg-static: https://pkg.pfsense.org/pfSense_v2_4_4_amd64-core/All/pfSense-kernel-pfSense-2.4.4_2.txz: Operation timed out
Failed

It has updated many times before and it has worked however this time it is not updating. I've restarted it, changed DNS settings (DNS resolver enabled, forwarder disabled) etc and it still does not want to update.

How to update pfsense to 2.4.4_2 from 2.4.4?

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.